TaskTimings (RabbIT/4)
Date: 2009-12-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.meta
Class TaskTimings

    java.lang.Object
      rabbit.meta.BaseMetaHandler
          rabbit.meta.TaskTimings

All Implemented Interfaces:
  AsyncListener, BlockSentListener, MetaHandler

    public class TaskTimings

extends BaseMetaHandler

A page that shows the currently open web connections.

Author:
  Robert Olofsson

Nested Class Summary

Nested classes/interfaces inherited from class rabbit.meta.BaseMetaHandler
`BaseMetaHandler.PageCompletion`

Field Summary

Fields inherited from class rabbit.meta.BaseMetaHandler
`con, htab, request, tlClient, tlProxy`

Constructor Summary
`TaskTimings()`

Method Summary
`protected BaseMetaHandler.PageCompletion` | `addPageInformation(StringBuilder sb)` Add the page information
`protected String` | `getPageHeader()` Get the page header name

Methods inherited from class rabbit.meta.BaseMetaHandler
`blockSent, buildAndSendData, cleanup, endChunking, failed, handle, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskTimings

    public TaskTimings()

Method Detail

### getPageHeader

    protected String getPageHeader()

  Description copied from class: `BaseMetaHandler`
  Get the page header name

  Specified by:
    `getPageHeader` in class `BaseMetaHandler`

### addPageInformation

    protected BaseMetaHandler.PageCompletion addPageInformation(StringBuilder sb)

  Add the page information

  Specified by:
    `addPageInformation` in class `BaseMetaHandler`
  Parameters:
    `sb` - The page being build.
  Returns:
    the current status of the page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD